Subject: RE: (ngtrans) 6to4 issue: link local

From: Richard Draves <[email-masked]>
Date: Tue, 2 May 2000 15:04:20 -0700

> Let me say it another way to see if I have it straight.
> 
> We can formally construct a link-local address (exactly as for
> an IPv6-in-IPv4 tunnel) but because there is no 1:1 peer relationship
> across a 6to4 exterior routing domain, the other end cannot determine
> what that link-local address is.

Better: "given a link-local (v6) address, the other end can not determine
the appropriate link-layer (v4) address"

This is really just the same situation that exists for automatic tunneling.
If you have an automatic tunneling (pseudo)interface, you don't assign it a
link-local address.

> Would you accept a phrasing in the document like:
>    The link-local address of a 6to4 pseudo-interface performing 6to4
>    encapsulation would be formed as described in Section 3.7 
> of [MECH].
>    However, no scenario is known in which such an address 
> would be useful.
> 
> The reason: this will cover the issue for future readers, and also
> cover the case where a use is discovered.

OK. You could elaborate with another sentence saying that a peer 6to4
gateway will have no way to send to such a link-local address.

Rich

---

From: [email-masked]
Date: Wed, 03 May 2000 12:23:07 +0900

>gateway will have no way to send to such a link-local address.

	Is it clear enough for readers that "since there's no use in it,
	it is not really necessary to attach link-local address to 6to4 pseudo
	interface"?
	To me RFC2373 section 2.1 looks a bit too strong that it says
	link-local address is mandatory for all interfaces.  as brian pointed
	out, we have no use in link-local for auto tunnel interface too.

itojun

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 03 May 2000 09:11:20 -0500

Actually it was Rich who pointed it out for auto tunnels. What was
confusing me is that draft-ietf-ngtrans-mech-06.txt defines
link-local for both configured and auto tunnels. It makes a lot
more sense to me that it is meaningless for auto tunnels as well
as for 6to4.

I will adjust the wording in the 6to4 draft. Maybe 
draft-ietf-ngtrans-mech-06.txt should be tweaked as well?

   Brian

-- 
- - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -
Brian E Carpenter 
Program Director, Internet Standards & Technology, IBM 
On assignment for IBM at http://www.iCAIR.org 
Attend INET 2000: http://www.isoc.org/inet2000
Non-IBM email: [email-masked]